<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): SSSPInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classSSSPInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SSSPInfo Class Reference<div class="ingroups"><a class="el" href="group__appGroup.html">Examples</a> &#124; <a class="el" href="group__SSSP.html">The Single-Source Shortest Path (SSSP) Algorithm</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Defines the algorithm data field of the customized vertex class of the SSSP algorithm.  
 <a href="classSSSPInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="appSSSP_8hpp_source.html">appSSSP.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a71bc8ffaeee81678d5bd250d7393b464"><td class="memTemplParams" colspan="2"><a class="anchor" id="a71bc8ffaeee81678d5bd250d7393b464"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a71bc8ffaeee81678d5bd250d7393b464"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a71bc8ffaeee81678d5bd250d7393b464">operator-</a> (T &amp;ref)</td></tr>
<tr class="memdesc:a71bc8ffaeee81678d5bd250d7393b464"><td class="mdescLeft">&#160;</td><td class="mdescRight">subtracts the distance <br /></td></tr>
<tr class="separator:a71bc8ffaeee81678d5bd250d7393b464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a457531c72a49329752604727248b0b"><td class="memTemplParams" colspan="2"><a class="anchor" id="a0a457531c72a49329752604727248b0b"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a0a457531c72a49329752604727248b0b"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a0a457531c72a49329752604727248b0b">operator*</a> (T &amp;ref)</td></tr>
<tr class="memdesc:a0a457531c72a49329752604727248b0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">multiplies the distance <br /></td></tr>
<tr class="separator:a0a457531c72a49329752604727248b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb53a1de5ee43db3f11c2ea7d8504a21"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:aeb53a1de5ee43db3f11c2ea7d8504a21"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#aeb53a1de5ee43db3f11c2ea7d8504a21">operator+</a> (T &amp;ref)</td></tr>
<tr class="memdesc:aeb53a1de5ee43db3f11c2ea7d8504a21"><td class="mdescLeft">&#160;</td><td class="mdescRight">add the distance  <a href="#aeb53a1de5ee43db3f11c2ea7d8504a21">More...</a><br /></td></tr>
<tr class="separator:aeb53a1de5ee43db3f11c2ea7d8504a21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a2110c66783d0589783d5f1fabe913"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29a2110c66783d0589783d5f1fabe913"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a29a2110c66783d0589783d5f1fabe913">operator&lt;</a> (<a class="el" href="classSSSPInfo.html">SSSPInfo</a> &amp;ref)</td></tr>
<tr class="memdesc:a29a2110c66783d0589783d5f1fabe913"><td class="mdescLeft">&#160;</td><td class="mdescRight">compare the distance field <br /></td></tr>
<tr class="separator:a29a2110c66783d0589783d5f1fabe913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a50243bb874e6db536fce96e661034d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a50243bb874e6db536fce96e661034d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a7a50243bb874e6db536fce96e661034d">operator&gt;</a> (<a class="el" href="classSSSPInfo.html">SSSPInfo</a> &amp;ref)</td></tr>
<tr class="memdesc:a7a50243bb874e6db536fce96e661034d"><td class="mdescLeft">&#160;</td><td class="mdescRight">compares the distance field <br /></td></tr>
<tr class="separator:a7a50243bb874e6db536fce96e661034d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c60f9384be7ff2f96f8c97d2860f8e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c60f9384be7ff2f96f8c97d2860f8e1"></a>
<a class="el" href="classSSSPInfo.html">SSSPInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a0c60f9384be7ff2f96f8c97d2860f8e1">operator+=</a> (<a class="el" href="classSSSPInfo.html">SSSPInfo</a> &amp;ref)</td></tr>
<tr class="memdesc:a0c60f9384be7ff2f96f8c97d2860f8e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">adds the distance field <br /></td></tr>
<tr class="separator:a0c60f9384be7ff2f96f8c97d2860f8e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a3992ca87d6cbe746ce775cae614504"><td class="memTemplParams" colspan="2"><a class="anchor" id="a4a3992ca87d6cbe746ce775cae614504"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4a3992ca87d6cbe746ce775cae614504"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#a4a3992ca87d6cbe746ce775cae614504">operator=</a> (T distanceVal)</td></tr>
<tr class="memdesc:a4a3992ca87d6cbe746ce775cae614504"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets the distance field <br /></td></tr>
<tr class="separator:a4a3992ca87d6cbe746ce775cae614504"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa1472cb5d334e6889b81dc43df5f4a4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1472cb5d334e6889b81dc43df5f4a4b"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#aa1472cb5d334e6889b81dc43df5f4a4b">parent</a></td></tr>
<tr class="memdesc:aa1472cb5d334e6889b81dc43df5f4a4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">parent node in the shortest path <br /></td></tr>
<tr class="separator:aa1472cb5d334e6889b81dc43df5f4a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3fdd56480d5c6fe95984fa25bef2f1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3fdd56480d5c6fe95984fa25bef2f1f"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSSSPInfo.html#ae3fdd56480d5c6fe95984fa25bef2f1f">distance</a></td></tr>
<tr class="memdesc:ae3fdd56480d5c6fe95984fa25bef2f1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">distance to the source <br /></td></tr>
<tr class="separator:ae3fdd56480d5c6fe95984fa25bef2f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Defines the algorithm data field of the customized vertex class of the SSSP algorithm. </p>
<p>It contains customized definition of the basic operators </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aeb53a1de5ee43db3f11c2ea7d8504a21"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double SSSPInfo::operator+ </td>
          <td>(</td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>ref</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>add the distance </p>
<p>/ </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="appSSSP_8hpp_source.html">appSSSP.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:54 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
